
#ifndef PROCESS_H
#define PROCESS_H

#include <pic.h>

struct T_PC {
   unsigned char PC_H;
   unsigned char PC_L;
};

typedef unsigned short T_Process;
typedef struct T_PC T_P_Process;

T_P_Process New_Process( T_Process p_Process, unsigned short p_Mem );

#define Transfer( Last_Process,Next_Process ) \
   GIE = 0;                     \
   Last_Process.PC_H = PCLATH;  \
   Last_Process.PC_L = PCL + 8; \
   PCLATH = Next_Process.PC_H;  \
   PCL = Next_Process.PC_L;     \
   GIE = 1;
  
#endif
